---
title: Element.scrollLeft
slug: Web/API/Element/scrollLeft
tags:
  - API
  - CSSOM View
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <strong><code>Element.scrollLeft</code></strong> property gets or sets the number of pixels that an element's content is scrolled from its left edge.</p>

<p>If the element's {{cssxref("direction")}} is <code>rtl</code> (right-to-left), then <code>scrollLeft</code> is <code>0</code> when the scrollbar is at its rightmost position (at the start of the scrolled content), and then increasingly negative as you scroll towards the end of the content.</p>

<div class="notecard warning">
<p>On systems using display scaling, <code>scrollLeft</code> may give you a decimal value.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<h3 id="Getting_the_value">Getting the value</h3>

<pre class="syntaxbox">// Get the number of pixels scrolled
var <em>sLeft</em> = <em>element</em>.scrollLeft;
</pre>

<p><code>sLeft</code> is an integer representing the number of pixels that <code>element</code> has been scrolled from the left edge.</p>

<h3 id="Setting_the_value">Setting the value</h3>

<pre class="syntaxbox">// Set the number of pixels scrolled
<em>element</em>.scrollLeft = 10;
</pre>

<p><code>scrollLeft</code> can be specified as any integer value. However:</p>

<ul>
 <li>If the element can't be scrolled (e.g., it has no overflow), <code>scrollLeft</code> is set to <code>0</code>.</li>
 <li>If specified as a value less than <code>0</code> (greater than <code>0</code> for right-to-left elements), <code>scrollLeft</code> is set to <code>0</code>.</li>
 <li>If specified as a value greater than the maximum that the content can be scrolled, <code>scrollLeft</code> is set to the maximum.</li>
</ul>

<h2 id="Example">Example</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;div id="container"&gt;
  &lt;div id="content"&gt;Click the button to slide right!&lt;/div&gt;
&lt;/div&gt;

&lt;button id="slide" type="button"&gt;Slide right&lt;/button&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css">#container {
  width: 100px;
  height: 100px;
  border: 1px solid #ccc;
  overflow-x: scroll;
}

#content {
  width: 250px;
  background-color: #ccc;
}</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">const button = document.getElementById('slide');

button.onclick = function () {
  document.getElementById('container').scrollLeft += 20;
};</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM View', '#dom-element-scrollleft', 'scrollLeft')}}</td>
   <td>{{Spec2("CSSOM View")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.scrollLeft")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://msdn.microsoft.com/en-us/library/hh781509(v=vs.85).aspx" title="MSDN Measuring Element Dimension and Location">MSDN's Measuring Element Dimension and Location</a></li>
 <li>{{domxref("Element.scrollTop")}}</li>
 <li>{{domxref("Element.scrollTo()")}}</li>
</ul>
